<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_7313d9106eada68fc893a6" . "d6733b58a6" => base64_decode("VGVtcGxhdGUgZG9lcyBub3QgZW5kIHdpdGggdG" . "hlICoudHdpZyBleHRlbnNpb24="), "_2c83c05de4fa1" . "408a298026dfb8" . "d94b9" => base64_decode("Y2ZnX2R" . "ldmVsb3" . "Blcl9tb" . "2Rl"), "_69100b7c21efad30d73e5c90a4" . "39a5ce" => base64_decode("Ly4qXC50d2l" . "nJC8="), "templa" . "te" => base64_decode("dGVtcGx" . "hdGU="), "_e632e86b02887f94d49b7ed7" . "6a3ebcdc" => base64_decode("VGVtcGxhdGUgbm90IGZvd" . "W5k"), "_d155d43a39de" . "93f858123c6b6" . "ce31d8a" => base64_decode("cHJlZ19tY" . "XRjaA=="), "_523a40c86a0eb0" . "d317646ab2bbd40" . "de8" => base64_decode("Tm8gdGVtcGxh" . "dGUgcmVxdWVz" . "dGVk"));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["templat" . "e"]) ?: $parameters[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["temp" . "late"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_2c83c05de4fa14" . "08a298026dfb8d9" . "4b9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d155d43a39de9" . "3f858123c6b6ce" . "31d8a"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_69100b7c21ef" . "ad30d73e5c90a" . "439a5ce"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_523a40c86a0eb0d317646ab2bbd40de" . "8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_7313d9106eada68fc893a6d673" . "3b58a6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_e632e86b02887f94d49b7e" . "d76a3ebcdc"]);
        }
        return $template;
    }
}